import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { TemplateResolver, CrudGridComponent, DirtyGuard, RecordResolver } from '@xdf/gallery';
import { AuthGuard, ResourceAuthGuard } from '@xdf/security';
import { PagoReservaFormComponent } from './components/pago-reserva-form/pago-reserva-form.component';



const routes: Routes = [
  {
    path: "reservation-payment", component: CrudGridComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: { Template: TemplateResolver },
    data: {
      innerTemplate: 'none',
      program: "reservation_payment",
      breadcrumb: "breadcrumb.payment"
    },
  }
  ,
  {
    path: 'reservation-payment/detail/:mode', component: PagoReservaFormComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: { record: RecordResolver},
    data: {
      program: 'reservation_payment',
      breadcrumb: 'breadcrumb.flight.detail'
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})

export class PagoReservaRoutingModule { }
