import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Routes, RouterModule } from '@angular/router';
import { TemplateResolver, CrudGridComponent, DirtyGuard, RecordResolver } from '@xdf/gallery';
import { ResourceAuthGuard, AuthGuard } from '@xdf/security';
import { PagoReservaFormComponent } from '../pago-reserva/components/pago-reserva-form/pago-reserva-form.component';


const routes: Routes = [
  {
    path: "payment", component: CrudGridComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: { Template: TemplateResolver },
    data: {
      innerTemplate: 'none',
      program: "payment",
      breadcrumb: "breadcrumb.payment"
    },
  }  
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})

export class PagoRoutingModule { }
