import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { PagoRoutingModule } from '../pago/pago-routing.module';
import { ReservationRoutigModule } from './reservation-routig.module';
import { ReservationFormComponent } from './components/reservation-form/reservation-form.component';
import { ReservationPasajeroGridComponent } from './components/reservation-pasajero-grid/reservation-pasajero-grid.component';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';


import { MatTableModule } from '@angular/material/table'  
import { MatSortModule, MatMenuModule, MatStepperModule, MatChipsModule, MatExpansionModule, MatListModule, MatAutocompleteModule, MatGridListModule, MatCheckboxModule, MatSelectModule, MatCardModule, MatProgressSpinnerModule, MatButtonModule, MatRadioModule, MatTabsModule, MatDatepickerModule, MatTooltipModule } from '@angular/material';
import { MatIconModule } from '@angular/material';
import { MatPaginatorModule } from '@angular/material';

import { MatDialogModule } from '@angular/material';
import { XdfCommonsModule } from '@xdf/commons';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { XdfLayoutsModule } from '@xdf/layouts';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgbPopoverModule, NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ReservationPasajeroDialogComponent } from './components/reservation-pasajero-dialog/reservation-pasajero-dialog.component';
import { VueloDialogPruebaComponent } from '../vuelo/components/vuelo-dialog-prueba/vuelo-dialog-prueba.component';
import { ReservationVueloGridComponent } from './components/reservation-vuelo-grid/reservation-vuelo-grid.component';
import { ReservationVueloDialogComponent } from './components/reservation-vuelo-dialog/reservation-vuelo-dialog.component';

@NgModule({
  declarations: [
    ReservationFormComponent,
    ReservationPasajeroGridComponent,
    ReservationPasajeroDialogComponent,
    ReservationVueloGridComponent,
    ReservationVueloDialogComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    MatTableModule,
    MatSortModule,
    MatIconModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatInputModule,
    MatFormFieldModule,
    MatDialogModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    XdfCommonsModule,
    XdfGalleryModule,
    TranslateModule,
    NgScrollbarModule,
    XdfLayoutsModule,
    MatSortModule,
    MatMenuModule,
    MatStepperModule,
    MatFormFieldModule,
    MatInputModule,
    ScrollingModule,
    NgbPopoverModule,
    MatChipsModule,
    MatExpansionModule,
    MatListModule,
    MatIconModule,
    MatAutocompleteModule,
    MatTableModule,
    MatExpansionModule,
    MatListModule,
    MatChipsModule,
    NgbModule,
    MatTableModule,
    MatGridListModule,
    MatPaginatorModule,
    MatCheckboxModule,
    MatSelectModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatDialogModule,
    MatButtonModule,
    MatIconModule,
    MatTableModule,
    MatRadioModule,
    MatTooltipModule,
    MatFormFieldModule,
    MatInputModule,
    MatTabsModule,
    MatDatepickerModule,
    ReservationRoutigModule
  ],
  entryComponents: [
    ReservationPasajeroDialogComponent,
    ReservationVueloDialogComponent
  ]
})
export class ReservationModule { }
