import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { VueloRoutingModule } from './vuelo-routing.module';
import { VueloFormComponent } from './components/vuelo-form/vuelo-form.component';
import { VueloEscalaDialogComponent } from './components/vuelo-escala-dialog/vuelo-escala-dialog.component';
import { VueloEscalasGridComponent } from './components/vuelo-escalas-grid/vuelo-escalas-grid.component';
import { MatTableModule } from '@angular/material/table'  
import { MatSortModule, MatMenuModule, MatStepperModule, MatChipsModule, MatExpansionModule, MatListModule, MatAutocompleteModule, MatGridListModule, MatCheckboxModule, MatSelectModule, MatCardModule, MatProgressSpinnerModule, MatButtonModule, MatRadioModule, MatTabsModule, MatDatepickerModule } from '@angular/material';
import { MatIconModule } from '@angular/material';
import { MatPaginatorModule } from '@angular/material';
import { MatTooltipModule } from '@angular/material';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatDialogModule } from '@angular/material';
import { XdfCommonsModule } from '@xdf/commons';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { XdfLayoutsModule } from '@xdf/layouts';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgbPopoverModule, NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { VueloDialogPruebaComponent } from './components/vuelo-dialog-prueba/vuelo-dialog-prueba.component';
import { DatepickerSelectComponent } from './components/datepicker-select/datepicker-select.component';

@NgModule({
  declarations: [
    VueloFormComponent, 
    VueloEscalaDialogComponent, 
    VueloEscalasGridComponent, 
    VueloDialogPruebaComponent, 
    DatepickerSelectComponent
  ],  
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    VueloRoutingModule,
    MatTableModule,
    MatSortModule,
    MatIconModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatInputModule,
    MatFormFieldModule,
    MatDialogModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    XdfCommonsModule,
    XdfGalleryModule,
    TranslateModule,
    NgScrollbarModule,
    XdfLayoutsModule,
    MatSortModule,
    MatMenuModule,
    MatStepperModule,
    MatFormFieldModule,
    MatInputModule,
    ScrollingModule,
    NgbPopoverModule,
    MatChipsModule,
    MatExpansionModule,
    MatListModule,
    MatIconModule,
    MatAutocompleteModule,
    MatTableModule,
    MatExpansionModule,
    MatListModule,
    MatChipsModule,
    NgbModule,
    MatTableModule,
    MatGridListModule,
    MatPaginatorModule,
    MatCheckboxModule,
    MatSelectModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatDialogModule,
    MatButtonModule,
    MatIconModule,
    MatTableModule,
    MatRadioModule,
    MatTooltipModule,
    MatFormFieldModule,
    MatInputModule,
    MatTabsModule,
    MatDatepickerModule
  ],
  entryComponents: [
    VueloEscalaDialogComponent,
    VueloDialogPruebaComponent
  ]

})
export class VueloModule { }
