import { ViewContainerRef, ChangeDetectorRef, AfterContentChecked } from '@angular/core';
import { IFormView, DynaDataService, AuditDialogService, ConfirmationDialogService, ValidatorUtils } from '@xdf/gallery';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { NavigationService } from '@xdf/layouts';
import { FormGroup, FormArray, FormBuilder, AbstractControl } from '@angular/forms';
import { EditableDataTableEvent, EditableDataTableComponent } from '@xdf/gallery';
import { BehaviorSubject } from 'rxjs';
export declare class ValposFormComponent extends IFormView implements AfterContentChecked {
    protected vcRef: ViewContainerRef;
    protected route: ActivatedRoute;
    protected router: Router;
    protected dynaDataService: DynaDataService;
    protected translate: TranslateService;
    protected notificationService: NotificationService;
    protected auditDialogService: AuditDialogService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected navigationService: NavigationService;
    protected validatorUtils: ValidatorUtils;
    private fb;
    private cdr;
    protected init: InitCommonsService;
    table: EditableDataTableComponent;
    constructor(vcRef: ViewContainerRef, route: ActivatedRoute, router: Router, dynaDataService: DynaDataService, translate: TranslateService, notificationService: NotificationService, auditDialogService: AuditDialogService, confirmationDialogService: ConfirmationDialogService, navigationService: NavigationService, validatorUtils: ValidatorUtils, fb: FormBuilder, cdr: ChangeDetectorRef, init: InitCommonsService);
    prefix: string;
    displayedColumns: string[];
    tableDefinition: any;
    data: [];
    dataSource: BehaviorSubject<AbstractControl[]>;
    detailForm: FormArray;
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    protected receiveResult(): void;
    addRow(d: any, noUpdate?: boolean): void;
    submit(): void;
    optionEvent(option: any): void;
    protected getFields(): FormGroup;
    updateGrid(clearData?: boolean): void;
    optionClicked($event: EditableDataTableEvent): void;
    sortOrder(): void;
    protected postActionNew(): void;
}
